Subject: Re: [Idr] RtgDir review: draft-ietf-idr-bgp-ls-node-admin-tag-extension-01

From: Pushpasis Sarkar <[email-masked]>
Date: Tue, 4 Jul 2017 20:57:48 -0700

Hi Les,

Thank you once more for the review comments. And sorry for the late reply.
I have addressed all your comments in the attached draft. Please review the
same let me know if you have any more comments. If not I will upload the
draft soon.

Thanks and regards,
-Pushpasis

On Wed, Jun 28, 2017 at 10:26 PM, Pushpasis Sarkar <[email-masked]
> wrote:

> Hi Les,
>
> Thanks a lot for the review comments. I will reply back addressing your
> comments soon.
>
> Thanks and regards
> -Pushpasis
>
> On Tue, Jun 27, 2017 at 11:37 PM, Les Ginsberg (ginsberg) <
> [email-masked]> wrote:
>
>> Hello,
>>
>>  I have been selected as the Routing Directorate reviewer for this draft.
>> The Routing Directorate seeks to review all routing or routing-related
>> drafts as they pass through IETF last call and IESG review, and sometimes
>> on special request. The purpose of the review is to provide assistance to
>> the Routing ADs. For more information about the Routing Directorate, please
>> see  http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir .
>>
>> Although these comments are primarily for the use of the Routing ADs, it
>> would be helpful if you could consider them along with any other IETF
>> comments that you receive, and strive to resolve them through discussion or
>> by updating the draft.
>>
>>
>> Document: draft-ietf-idr-bgp-ls-node-admin-tag-extension-01
>> Reviewer: Les Ginsberg
>> Review Date: June 27, 2017
>> Intended Status: Standards
>>
>> Summary:  The document is of modest scope - covering definition of BGP-LS
>> codepoints for a relatively new IGP attribute (Node Admin Tags).
>> While I found nothing which I would consider a major issue, there are a
>> number
>> of places where the text lacks clarity. I think addressing these areas
>> would
>> greatly improve the quality of the draft.
>>
>>
>> Major Issues: None
>>
>> Minor Issues:
>>
>> Section 1 Introduction
>>
>> The acronym LSDB is not defined.
>>
>> Figure 1
>>
>> I have a personal dislike for duplicating text/pictures from another
>> spec when that spec could simply be referenced. There are only two
>> possible outcomes:
>>
>> 1)The duplicated text is redundant (best case)
>> 2)The text differs somewhat from the original leading to possible
>> unintentional misinterpretations.
>>
>> Suit yourself on this comment - but I would prefer the duplication be
>> omitted.
>>
>> Section 2 First paragraph
>>
>> You refer to "sub-TLV" but that reference is unclear and ambiguous.
>> IS-IS uses a sub-TLV of Router Capability to advertise tags, but OSPF
>> uses a TLV of Router Info LSA.
>> What seems most relevant here is that you are defining a new Attribute
>> TLV for Node NLRI.
>>
>> Section 3 Second paragraph
>>
>> I do not know what the paragraph is trying to say, nor do
>> I know what the "TBD" in columns 4 and 5 in the following Table 1 is
>> meant to reference. If you are simply trying to describe the source
>> of the info advertised by the new BGP-LS Node attribute then you should
>> rewrite the above paragraph and in the figure below show:
>>
>> IS-IS 242/21
>> OSPF RI-LSA/10
>>
>> Section 3.1
>>
>> A description of where in the Node NLRI the area/level information can be
>> found
>> (from RFC 7752) would be helpful.
>>
>>
>> Section 3.1 Penultimate Paragraph
>>
>> As TAGs with "global" scope will be advertised by the IGP multiple
>> times (once per area/level) I assume you are asking BGP-LS advertisements
>> to reduce these multiple occurrences to a single occurrence? More
>> explicit language on that point would be helpful.
>>
>> Section 3.1 Last paragraph
>>
>> I recognize this statement regarding policy being used to filter what is
>> advertised is consistent with RFC 7752. But it would also be good to
>> include
>> a statement like:
>>
>> "Definition of such a policy is outside the scope of this document."
>>
>> Nits: Please see attached diff file with some editorial corrections.
>>
>
>

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Sat, 8 Jul 2017 20:42:51 +0000

Pushpassis –

Sorry for the delay in responding.
You have not addressed all of the editorial comments I provided – please do a second pass.

Also, there is one substantive issue which you did not address:

<snip>

I recognize this statement regarding policy being used to filter what is
advertised is consistent with RFC 7752. But it would also be good to include
a statement like:

<end snip>

If you have a concern with what I proposed please let me know what it is.

Thanx.

   Les

From: Pushpasis Sarkar [mailto:[email-masked]]
Sent: Tuesday, July 04, 2017 8:58 PM
To: Les Ginsberg (ginsberg)
Cc: [email-masked]; [email-masked]; [email-masked]; idr@ietf. org
Subject: Re: RtgDir review: draft-ietf-idr-bgp-ls-node-admin-tag-extension-01

Hi Les,

Thank you once more for the review comments. And sorry for the late reply. I have addressed all your comments in the attached draft. Please review the same let me know if you have any more comments. If not I will upload the draft soon.

Thanks and regards,
-Pushpasis

On Wed, Jun 28, 2017 at 10:26 PM, Pushpasis Sarkar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Les,

Thanks a lot for the review comments. I will reply back addressing your comments soon.

Thanks and regards
-Pushpasis

On Tue, Jun 27, 2017 at 11:37 PM, Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

 I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see  http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir .

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF comments that you receive, and strive to resolve them through discussion or by updating the draft.

Summary:  The document is of modest scope - covering definition of BGP-LS
codepoints for a relatively new IGP attribute (Node Admin Tags).
While I found nothing which I would consider a major issue, there are a number
of places where the text lacks clarity. I think addressing these areas would
greatly improve the quality of the draft.

Major Issues: None

Minor Issues:

Section 1 Introduction

Figure 1

Suit yourself on this comment - but I would prefer the duplication be omitted.

IS-IS 242/21
OSPF RI-LSA/10

Section 3.1

A description of where in the Node NLRI the area/level information can be found
(from RFC 7752) would be helpful.

I recognize this statement regarding policy being used to filter what is
advertised is consistent with RFC 7752. But it would also be good to include
a statement like:

---

From: Pushpasis Sarkar <[email-masked]>
Date: Thu, 13 Jul 2017 17:24:54 -0700

Hi Les,

Sorry once again for the late response. Please find comments inline...

> You have not addressed all of the editorial comments I provided – please
[Pushpasis] I did a second pass.. But I could not locate which one(s) I
missed out. It will be great if you list them out for me. The htmlized diff
you attached earlier does not exactly highlight the diffs.. :( Request your
help here...

> *<snip>*
> *Section 3.1 Last paragraph*
>
>
>
> *I recognize this statement regarding policy being used to filter what is*
>
> *advertised is consistent with RFC 7752. But it would also be good to
> include*
>
> *a statement like:*
>
>
>
> *"Definition of such a policy is outside the scope of this document."*
>
> *<end snip>*
>
>
>
[Pushpasis] I will be very happy to add the statement.  Thanks a lot for
the suggestion.

Thanks and Regards,
-Pushpasis

>
>
> Thanx.
>
>
>
>    Les
>
>
>
>
>
>
>
> *From:* Pushpasis Sarkar [mailto:[email-masked]]
> *Sent:* Tuesday, July 04, 2017 8:58 PM
> *To:* Les Ginsberg (ginsberg)
> *Cc:* [email-masked]; [email-masked]; draft-ietf-idr-bgp-ls-node-
> [email-masked]; idr@ietf. org
> *Subject:* Re: RtgDir review: draft-ietf-idr-bgp-ls-node-
> admin-tag-extension-01
>
>
>
> Hi Les,
>
>
>
> On Wed, Jun 28, 2017 at 10:26 PM, Pushpasis Sarkar <
> [email-masked]> wrote:
>
> Hi Les,
>
>
>

---

From: Pushpasis Sarkar <[email-masked]>
Date: Tue, 25 Jul 2017 06:31:30 -0700

Hi Les,

Thank you once again for helping me out with all the review comments.. I
have addressed all your comments and uploaded version 02. Please let me
know if you need any more issues to take care of.

Thanks and Regards,
-Pushpasis

On Thu, Jul 13, 2017 at 5:24 PM, Pushpasis Sarkar <[email-masked]>
wrote:

> On Sat, Jul 8, 2017 at 1:42 PM, Les Ginsberg (ginsberg) <
>> *Cc:* [email-masked]; [email-masked]; draft-ietf-idr-bgp-ls-node-adm
>> [email-masked]; idr@ietf. org
>> *Subject:* Re: RtgDir review: draft-ietf-idr-bgp-ls-node-adm
>> in-tag-extension-01
>>
>>
>>
>> Hi Les,
>>
>>
>>
>> Thank you once more for the review comments. And sorry for the late
>> reply. I have addressed all your comments in the attached draft. Please
>> review the same let me know if you have any more comments. If not I will
>> upload the draft soon.
>>
>>
>>
>> Thanks and regards,
>>
>> -Pushpasis
>>
>>
>>

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 25 Jul 2017 10:33:18 -0400

IDR: 

With the completion of the resolution of the RTG-DIR comments, we will consider the IDR WG last call complete.  This document has passed WG LC.  If anyone has additional comments based on version 2 of the text, please send them to the IDR chairs. 

Sue Hares 

From: rtg-dir [mailto:[email-masked]] On Behalf Of Pushpasis Sarkar
Sent: Tuesday, July 25, 2017 9:32 AM
To: Les Ginsberg (ginsberg)
Cc: [email-masked]; [email-masked]; [email-masked]; idr@ietf. org
Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-idr-bgp-ls-node-admin-tag-extension-01

Hi Les,

Thank you once again for helping me out with all the review comments.. I have addressed all your comments and uploaded version 02. Please let me know if you need any more issues to take care of.

Thanks and Regards,

-Pushpasis

On Thu, Jul 13, 2017 at 5:24 PM, Pushpasis Sarkar <[email-masked]> wrote:

Hi Les,

 

On Sat, Jul 8, 2017 at 1:42 PM, Les Ginsberg (ginsberg) <[email-masked]> wrote:

Pushpassis –

[Pushpasis] I did a second pass.. But I could not locate which one(s) I missed out. It will be great if you list them out for me. The htmlized diff you attached earlier does not exactly highlight the diffs.. :( Request your help here... 

<snip>

a statement like:

<end snip>

[Pushpasis] I will be very happy to add the statement.  Thanks a lot for the suggestion.

Thanks and Regards,

-Pushpasis

Thanx.

   Les

Hi Les,

Thanks and regards,

-Pushpasis

On Wed, Jun 28, 2017 at 10:26 PM, Pushpasis Sarkar <[email-masked]> wrote:

Hi Les,

Thanks and regards

-Pushpasis

On Tue, Jun 27, 2017 at 11:37 PM, Les Ginsberg (ginsberg) <[email-masked]> wrote:

Hello,

Major Issues: None

Minor Issues:

Section 1 Introduction

Figure 1

IS-IS 242/21
OSPF RI-LSA/10

Section 3.1